local Sequences = GSMasterSequences -- Dont remove this

---Death Knight---
	---Blood---
		---Tier 5: Tightening Grasp if you must use Forefiend's Grasp frequently during the fight, if not use March of the Damned---
		---Important: BloodShield is mainly for building up your Bone Shield, if you have 5-7 stacks of it use BloodHeart---
		---Important: Death Strike and Consumption must be used manually, and Death and Decay on the Crimson Scourge proc (on cooldown for Multi-target fights)---
Sequences["BloodShield"] = {
specID = 250,
author = "Ðarkramz",
helpTxt = "Talents: 2, 1, 1, 2, 1/3, 3, 3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast Marrowrend', 
	'/cast Blood Boil',
PostMacro = [[
/startattack
]],
}
Sequences["BloodHeart"] = {
specID = 250,
author = "Ðarkramz",
helpTxt = "Talents: 2, 1, 1, 2, 1/3, 3, 3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast Heart Strike', 
	'/cast Blood Boil',
PostMacro = [[
/startattack
]],
}
	---Frost---
		---Tier 1: Shattering Strikes = Single target, Icy Talons = Multi-target---
		---Tier 2: Horn of Winter = Single target, Frozen Pulse = Multi-target---
		---Tier 3: Avalanche is slightly better now then Icecap---
		---Tier 6: Runic Attenuation = Single target, Frostscythe = Multi-target---
		---Tier 7: obliteration = Single target and Multi-target burst, Glacial Advance = better overall Multi-target damage---
		---Important: If you're using Icy Talons allways combine it with Frozen Pulse!---
Sequences["FrostDKSingle"] = {
specID = 251,
author = "Ðarkramz",
helpTxt = "Talents: 1/3, 2/3, 1/3, ?, ?, 1/2, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast Pillar of Frost
/cast [talent:7/1] Obliteration
]],
	'/cast Obliterate',
	'/cast Frost Strike',
	'/cast [talent:2/3] Horn of Winter',
PostMacro = [[
/startattack
]],
}
Sequences["FrostDKMulti"] = {
specID = 251,
author = "Ðarkramz",
helpTxt = "Talents: 1/3, 2/3, 1/3, ?, ?, 1/2, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
/cast Pillar of Frost
/cast [talent:7/1] Obliteration
]],
	'/cast Remorseless Winter',
	'/cast [talent:7/3] Glacial Advance',
	'/cast Remorseless Winter',
	'/cast [talent:7/3] Glacial Advance',
	'/cast [talent:6/1] Frostscythe',
	'/cast Frost Strike',
PostMacro = [[
/startattack
/cast Remorseless Winter
/cast [talent:7/3] Glacial Advance
]],
}
	---Unholy---
		---Tier 1: Ebon Fever = Best choice for long fights Single target and Multi-target, Bursting Sores = Best for fights shorter then 1 minute---
		---Tier 2: Pestilent Pustules = Single target, Epidemic = Multi-target, Blighted Rune weapon = Best for fights shorter then 1 minute---
		---Tier 6: Shadow Infusion = Best choice for long fights Single target and Multi-target, Infected Claws = Best for fights shorter then 1 minute---
		---Tier 7: Dark Arbiter = Best if you have the Legendary ring, else Soul Reaper is better if the fights last longer then 3 minutes---
		---Important: For the best damage output manage your Death Coil manually (it's NOT that great of a damage dealer)---
Sequences["UnholyRotation"] = {
specID = 252,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 1/2/3, 3, 1, ?, 1/3, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast Dark Transformation',
	'/cast [talent:2/3] Blighted Rune Weapon',
	'/cast [talent:2/1] Epidemic',
	'/cast [talent:7/3] Soul Reaper',
	'/cast [talent:3/3] Clawing Shadows; Scourge Strike',
	'/castsequence Festering Strike',
	'/cast [talent:3/3] Clawing Shadows; Scourge Strike',
PostMacro = [[
/startattack
/cast [talent:3/3] Clawing Shadows; Scourge Strike
]],
}
Sequences["UnholyApocalypse"] = {
specID = 252,
author = "Ðarkramz",
helpTxt = "Talents: 2/3, 1/2/3, 3, 1, ?, 1/3, 1/3",
StepFunction = GSStaticPriority,
PreMacro = [[
/targetenemy [noharm][dead]
]],
	'/cast Dark Transformation',
	'/cast [talent:2/3] Blighted Rune Weapon',
	'/castsequence Festering Strike, Festering Strike, Apocalypse',
PostMacro = [[
/startattack
]],
}		